package org.dromara.safety.constant;

import java.util.List;

/**
 * @author lcj
 * @date 2025/4/14 10:50
 */
public interface HseDocumentSafetyMeetingConstant {

    /**
     * 顶级目录前缀
     */
    String TOP_FOLDER_PREFIX = "/doc/safety/meeting/";

    /**
     * 获取顶级目录前缀
     *
     * @param projectId 项目id
     * @return 顶级目录前缀
     */
    static String getTopFolderPrefix(Long projectId) {
        return String.format("%s%s/", TOP_FOLDER_PREFIX, projectId);
    }

    /**
     * 图片后缀列表
     */
    List<String> PICTURE_SUFFIX_LIST = List.of("jpeg", "jpg", "png", "webp");

}
